#
# spec file for package python-SQLAlchemy-Utils
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-SQLAlchemy-Utils
Version:        0.33.3
Release:        lp150.1.1
Summary:        Various utility functions for SQLAlchemy
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/kvesteri/sqlalchemy-utils
Source:         https://files.pythonhosted.org/packages/source/S/SQLAlchemy-Utils/SQLAlchemy-Utils-%{version}.tar.gz
BuildRequires:  %{python_module SQLAlchemy}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-SQLAlchemy
BuildArch:      noarch
%python_subpackages

%description
Various utility functions and custom data types for SQLAlchemy.

%prep
%setup -q -n SQLAlchemy-Utils-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Sun May  6 2018 arun@gmx.de
- update to version 0.33.3:
  * Added new AesGcmEngine (#322, pull request courtesy of
    manishahluwalia)
- changes from version 0.33.2:
  * Added support for universal wheels (#312, pull request courtesy of
    nsoranzo)
  * Fixed usage of template0 and template1 with postgres database
    functions. (#286, pull request courtesy of funkybob)
* Sat Mar 24 2018 arun@gmx.de
- update to version 0.33.1:
  * Fixed EncryptedType for Oracle padding attack (#316, pull request
    courtesy of manishahluwalia)
* Mon Feb 19 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.33.0:
  * Added support for materialized views in PostgreSQL
  * Added Ltree.descendant_of and Ltree.ancestor_of (#311, pull
    request courtesy of kageurufu)
  * Dropped Python 3.3 support
  * Fixed EncryptedType padding (#301, pull request courtesy of
    konstantinoskostis)
* Mon Nov 13 2017 arun@gmx.de
- update to version 0.32.21:
  * Close connections on exists, create and drop database functions
    (#295, pull request courtesy of Terseus)
- changes from version 0.32.20 :
  * Added __hash__ method for choice objects (#294, pull request
    courtesy of havelock)
* Tue Oct 17 2017 arun@gmx.de
- update to version 0.32.19:
  * Fixed select_correlated_expression order by for intermediate table
    aliases
* Sat Oct  7 2017 arun@gmx.de
- update to version 0.32.18:
  * Made aggregated attributes to work with subclass objects (#287,
    pull request courtesy of fayazkhan)
* Sat Sep 30 2017 arun@gmx.de
- update to version 0.32.17:
  * Added support for MSSQL uniqueidentifier type (#283, pull request
    courtesy of nHurD)
* Sun Sep 24 2017 arun@gmx.de
- update to version 0.32.16:
  * Added more hints when decrypting AES with an invalid key (#275,
    pull request courtesy of xrmx)
- changes from version 0.32.15:
  * Added better handling of date types for EncryptedType (#184, pull
    request courtesy of konstantinoskostis)
* Wed Aug 23 2017 tbechtold@suse.com
- update to 0.32.14:
  - Fixed drop_database version comparison
  - Fixed a DeprecationWarning by using LargeBinary instead of Binary
  - Added generic_repr decorator
  - TimeZoneType support for static timezones
  - Added SQLite support for PasswordType
  - Added PhoneNumber as the python_type for PhoneNumberType
  - Made auto_delete_orphans support backref tuples
  - Added support for multi-column observers
- convert to singlespec
* Mon Nov 14 2016 dmueller@suse.com
- udpate to 0.32.9:
  - Added support for multi-column observers (#231, pull request courtesy of quantus)
  - Fixed EmailType to respect constructor args (#230, pull request courtesy of quantus)
* Fri Jun  3 2016 tbechtold@suse.com
- update to 0.32.7:
  - Made PhoneNumber exceptions inherit SQLAlchemy's DontWrapMixin
  - Added support for timezones with ArrowType
  - Fixed import issue with latest version of SQLAlchemy
  - Added LtreeType for PostgreSQL ltree extension
  - Added Ltree primitive data type
  - Added support for PhoneNumber objects as composites
  - Fixed PasswordType to not access LazyCryptContext on type init
  - Fixed database helpers for sqlite
  - Fixed TranslationHybrid aliased entities handling
  - Dropped py26 support
  - Made PasswordType to use LazyCryptContext by default
  - Added literal parameter processing for ArrowType
  - Fixed scalar parsing of LocaleType
  - Fixed column alias handling with assert_* functions
  - Fixed non-ascii string handling in composite types
  - Fixed observes crashing when observable root_obj is ``None``
  - Column observers only notified when actual changes have been made
    to underlying columns
  - Made has_index allow fk constraint as parameter
  - Made has_unique_index allow fk constraint as parameter
  - Made the extra packages in setup.py to be returned in deterministic order
  - Removed is_indexed_foreign_key (superceded by more versatile has_index)
  - Fixed LocaleType territory parsing (courtesy of dahlia)
  - Added correlate parameter to select_correlated_expression function
  - Fixed sort_query handling of aliased classes with hybrid properties
  - Added support for aliased classes in get_hybrid_properties utility function
  - Added cast_if utility function
  - Added support for InstrumentedAttributes, ColumnProperties and Columns in
    get_columns function
  - Added support for PhoneNumber extensions
  - Fix None type handling of ChoiceType
  - Make locale casting for translation hybrid expressions cast locales on
    compilation phase. This extra lazy locale casting is needed in some
    cases where translation hybrid expressions are used before get_locale
  - Added better support for dynamic locales in translation_hybrid
  - Make babel dependent primitive types to use Locale('en') for data validation
    instead of current locale. Using current locale leads to infinite recursion
    in cases where the loaded data has dependency to the loaded object's locale.
  - Added get_type utility function
  - Added default parameter for array_agg function
  - Added Asterisk compiler
  - Added row_to_json GenericFunction
  - Added array_agg GenericFunction
  - Made quote function accept dialect object as the first paremeter
  - Made has_index work with tables without primary keys
  - Fixed CompositeType null handling
  - Made psycopg2 requirement optional
  - Made CompositeArray work with tuples given as bind parameters
  - Fixed CompositeType bind parameter processing when one of the fields is of
    TypeDecorator type and
  - Fixed CompositeType bind parameter processing when one of the fields is
    of TypeDecorator type.
  - Added length property to range types
  - Added CompositeType for PostgreSQL
  - Fixed ``assert_max_length``, ``assert_non_nullable``, ``assert_min_value``
    and ``assert_max_value`` not properly raising an ``AssertionError`` when
    the assertion failed.
  - Drop undocumented batch fetch feature. Let's wait until the inner workings
    of SQLAlchemy loading API is well-documented.
  - Fixed GenericRelationshipProperty comparator to work with SA 1.0.x
  - Make all foreign key helpers SA 1.0 compliant
  - Make translation_hybrid expression work the same way as SQLAlchemy-i18n
    translation expressions
  - Update SQLAlchemy dependency to 1.0
  - Added __hash__ method to Country class
  - Made Country validate itself during object initialization
  - Made Country string coercible
  - Removed deprecated function generates
  - Fixed observes function to work with simple column properties
  - Added CurrencyType
* Wed Feb 10 2016 tbechtold@suse.com
- Install LICENSE and README.rst
* Fri Mar 27 2015 prusnak@opensuse.org
- created package (version 0.29.8)
